/* 
 * 1.0 version.
 */

import java.awt.*;
import java.applet.Applet;

public class TextDemo extends Applet {
    TextField textField;
    TextArea textArea;

    public void init() {
        textField = new TextField(20);
        textArea = new TextArea(5, 20);
        textArea.setEditable(false);

        //Add Components to the Applet. 
        GridBagLayout gridBag = new GridBagLayout();
        setLayout(gridBag);
        GridBagConstraints c = new GridBagConstraints();
        c.gridwidth = GridBagConstraints.REMAINDER;

        c.fill = GridBagConstraints.HORIZONTAL;
        gridBag.setConstraints(textField, c);
        add(textField);

        c.fill = GridBagConstraints.BOTH;
        c.weightx = 1.0;
        c.weighty = 1.0;
        gridBag.setConstraints(textArea, c);
        add(textArea);

        validate();
    }

    public boolean action(Event evt, Object arg) {
        String text = textField.getText();
        textArea.appendText(text + "\n");
        textField.selectAll();
        return true;
    }
}
